systemtap security update

2010-03-02T17:59:18
ID CESA-2010:0124
Type centos
Reporter CentOS Project
Modified 2010-03-02T17:59:18

Description

CentOS Errata and Security Advisory CESA-2010:0124

SystemTap is an instrumentation system for systems running the Linux kernel, version 2.6. Developers can write scripts to collect data on the operation of the system.

A flaw was found in the SystemTap compile server, stap-server, an optional component of SystemTap. This server did not adequately sanitize input provided by the stap-client program, which may allow a remote user to execute arbitrary shell code with the privileges of the compile server process, which could possibly be running as the root user. (CVE-2009-4273)

Note: stap-server is not run by default. It must be started by a user or administrator.

A buffer overflow flaw was found in SystemTap's tapset __get_argv() function. If a privileged user ran a SystemTap script that called this function, a local, unprivileged user could, while that script is still running, trigger this flaw and cause memory corruption by running a command with a large argument list, which may lead to a system crash or, potentially, arbitrary code execution with root privileges. (CVE-2010-0411)

Note: SystemTap scripts that call __get_argv(), being a privileged function, can only be executed by the root user or users in the stapdev group. As well, if such a script was compiled and installed by root, users in the stapusr group would also be able to execute it.

SystemTap users should upgrade to these updated packages, which contain backported patches to correct these issues.

Merged security bulletin from advisories: http://lists.centos.org/pipermail/centos-announce/2010-March/016540.html http://lists.centos.org/pipermail/centos-announce/2010-March/016541.html

Affected packages: systemtap systemtap-client systemtap-initscript systemtap-runtime systemtap-sdt-devel systemtap-server systemtap-testsuite

Upstream details at: https://rhn.redhat.com/errata/RHSA-2010-0124.html